#!/bin/sh
# To build tkdesk, you need static libs for Tcl7 and Tk4 around, so we build
# them and put them in /usr/X11R6/lib/TkDesk/tcl7:
CWD=`pwd`
cd /tmp
mkdir -p /usr/X11R6/lib/TkDesk/tcl7
tar xzvf $CWD/tcl7.6p2.tar.gz
cd tcl7.6
zcat $CWD/tcl7.6-glibc.diff.gz | patch -E -p0 --backup
cd unix
./configure --prefix=/usr/X11R6/lib/TkDesk/tcl7
make
make install
cd /tmp
tar xzvf $CWD/tk4.2p2.tar.gz
cd tk4.2
cd unix
./configure --prefix=/usr/X11R6/lib/TkDesk/tcl7
make
make install
